Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Wed, 07 Dec 2022 08:43:01 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Dear Team,

This is regarding my order number 9401026120 which was never delivered to me and the delivery guy lost the order. I tried complaining twice about the same and I didn't get even a call back or a refund.

Requesting the customer service team to be a bit responsible and get this sorted ASAP. It is really disappointing the way it is being handled, as I didn't expect this from a well reputed brand.

Please get back to me ASAP, either re-deliver the products or give me a refund. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5377194